package ComprehensiveWorkingHourServiceImpl;

import com.engine.attendance.attendanceanalysis.service.ComprehensiveWorkingHourService;
import com.engine.attendance.attendanceanalysis.service.impl.ComprehensiveWorkingHourServiceImpl;
import com.engine.attendance.workflow.service.AllowanceService;
import com.engine.attendance.workflow.service.impl.AllowanceServiceImpl;
import com.engine.common.util.ServiceUtil;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import org.junit.Test;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class Test1 extends beforlog {


    @Test
    public void test(){
        ComprehensiveWorkingHourService comprehensiveWorkingHourService = ServiceUtil.getService(ComprehensiveWorkingHourServiceImpl.class);
        Map<String,Object> param = Maps.newHashMap();
        List<Map<String,Object>> clockInTimeList = Lists.newArrayList();
        Map<String,Object> workHourItem = Maps.newHashMap();
        clockInTimeList.add(new HashMap(){{
            put("signtime","08:05:00");
            put("signdate","2024-04-08");
        }});
        clockInTimeList.add(new HashMap(){{
            put("signtime","19:15:00");
            put("signdate","2024-04-08");
        }});
        clockInTimeList.add(new HashMap(){{
            put("signtime","11:01:00");
            put("signdate","2024-04-09");
        }});
        clockInTimeList.add(new HashMap(){{
            put("signtime","11:05:30");
            put("signdate","2024-04-09");
        }});
        clockInTimeList.add(new HashMap(){{
            put("signtime","13:00:00");
            put("signdate","2024-04-09");
        }});
        clockInTimeList.add(new HashMap(){{
            put("signtime","17:04:00");
            put("signdate","2024-04-09");
        }});
        clockInTimeList.add(new HashMap(){{
            put("signtime","08:16:00");
            put("signdate","2024-04-10");
        }});
        clockInTimeList.add(new HashMap(){{
            put("signtime","21:14:00");
            put("signdate","2024-04-10");
        }});
        workHourItem.put("wdkhlfzs","1");
        workHourItem.put("rzcgzsc","12.00");
        workHourItem.put("rzwdkbdsj","09:00");
        workHourItem.put("ljcqscdhsfzs","30");
        workHourItem.put("szjg","1");
        workHourItem.put("hsgsdrqlx","4,0");
        workHourItem.put("dzsbksd","1");
        workHourItem.put("qyrl","5");
        workHourItem.put("rgzscjsgz","1");
        workHourItem.put("hlpbyxsyzhgs","1");
        workHourItem.put("zwdkxbdkssj","");
        workHourItem.put("rgzscbzhsyc","1");
        workHourItem.put("rgzscyq","10.00");
        workHourItem.put("ccrgzscyqjrcqsc","1");
        workHourItem.put("zzdksbdkssj","06:00");


        param.put("analysisDate","2024-04-09");
        param.put("userId","80");
        param.put("clockInTimeCollect",clockInTimeList);
        param.put("workHourItem",workHourItem);
        param.put("attendanceItems",Lists.newArrayList());
        comprehensiveWorkingHourService.excuteByWorkHour(param);




    }
}
